<?php
//автор - figura
//сайт - http://f-pt.ru

include("../sistem/cfg.dat");
include("../sistem/global.dat");

if(isset($_GET['dir'])){$dir = $_GET['dir'];}
if(isset($_GET['book'])){$book = $_GET['book'];}


if($status=="gost" || $status=="uzer" || $status=="moder" || $status=="admin")
{
   if(empty($act)){$act="index";}
   if($act == "index")
   {
      $title = "Разделы статей";
      include("../temes/$teme/verh.dat");
      echo'<div class="razd"><B>Статьи</B></div>';
      //Выводим разделы
      
      $arr_dir = scandir (".");
      $nom = count($arr_dir);
      $i = 0;
      while($i < $nom)
      {
         if(($arr_dir[$i] != ".")&&($arr_dir[$i] != "..")&&($arr_dir[$i] != "Thumbs.db")&&($arr_dir[$i] != "index.php"))
         {
            $dir[] = $arr_dir[$i];
            if($dir_name = @file("$arr_dir[$i]/name.dat"))
            {
               $dir_name = $dir_name[0];
               $count_file = count(scandir($arr_dir[$i]))- 3;
            }else
            {
               $dir_name = $arr_dir[$i];
               $count_file = count(scandir($arr_dir[$i]))- 3;
            }
            echo'<div class="link">'.$img_dir_dounload.'<a href="index.php?act=spis&amp;dir='.$arr_dir[$i].'&amp;'.SID.'">'.htmlspecialchars($dir_name).'</a> ('.$count_file.')</div>';
         }
         ++$i;
      }
      
      ////////////////////////////////////////////конец////////////////////
      echo'<hr size="2" width="100%">';
      echo'<a href="../index.php?'.SID.'">Главная</a><br>';
   }
   //...........................................................................................................................//
   if($act == "spis")
   {
      $dir =str_replace("/","",$dir);
      $dir =str_replace(".","",$dir);
      $dir = str_replace("\0","",$dir);
      
      $dir=htmlspecialchars($dir);
      
      
      if(file_exists($dir))
      {
         if($dir_name = @file("$dir/name.dat"))
         {
            $dir_name = $dir_name[0];
         }else
         {
            $dir_name = $dir;
         }
         $title = $dir_name;
         include("../temes/$teme/verh.dat");
         echo'<div class="razd"><B>Статьи</B></div>';
         echo'<BIG>'.htmlspecialchars($dir_name).'</BIG><br>';
         //Выводим Название статей из раздела
         $arr_dir = scandir($dir);
         $nom = count($arr_dir);
         $i = 0;
         while($i < $nom)
         {
            if(($arr_dir[$i] != ".")&&($arr_dir[$i] != "..")&&($arr_dir[$i] != "Thumbs.db")&&($arr_dir[$i] != "name.dat"))
            {
               $file_name = @file("$dir/$arr_dir[$i]");
               $file_name = $file_name[0];
               echo'<div class="link"><a href="index.php?act=read&amp;dir='.$dir.'&amp;book='.$arr_dir[$i].'&amp;'.SID.'">'.htmlspecialchars($file_name).'</a></div>';
            }
            ++$i;
         }
         
         
         
         echo'<hr size="2" width="100%">';
         echo'<a href="index.php?act=index&amp;'.SID.'">К категориям</a><br>';
         echo'<a href="../index.php?'.SID.'">Главная</a><br>';
      }else
      { 
         $title = "Ошибка";
         include("../temes/$teme/verh.dat");
         echo'<div class="razd"><B>Статьи</B></div>';
         echo'Не получилось прочитать папку<br>'; 
      }
      
   }
   //...........................................................................................................................//
   if($act=='read')
   {
      $dir =str_replace("/","",$dir);
      $dir =str_replace(".","",$dir);
      $dir = str_replace("\0","",$dir);
      
      $book =str_replace("/","",$book);
      $book =str_replace("..","",$book);
      $book = str_replace("\0","",$book);
      
      $dir=htmlspecialchars($dir);
      $book=htmlspecialchars($book);
      
      
      if(file_exists("$dir/$book") && ($book != ""))
      {
         
         
         $txt_file = file("$dir/$book");
         $txt = htmlspecialchars($txt_file[0]);
         $title = $txt;
         include("../temes/$teme/verh.dat");
         echo'<div class="razd"><B>Статьи</B></div>';
         echo'<div class="ramk"><DIV ALIGN=CENTER><BIG>'.$txt.'</BIG></DIV></div>';
         
         //разбиваем текст на слова
         $txt_file = implode(" ",$txt_file);
         $txt_file = htmlspecialchars($txt_file);
         $txt_file = str_replace("\r","",$txt_file);
         $txt_file = str_replace("\n","<br>",$txt_file);
         $txt_file = explode(" ",$txt_file);
         
         echo'<div class="ramk">';
         $nom = count($txt_file);
         
         //начало новой навигации
         if(isset($_GET['nom_page'])){$nom_page = $_GET['nom_page'];}else{ $nom_page = "1"; }
         if(eregi("[^0-9]" , $nom_page )){ $nom_page = "1"; }
         $asd = $nom_page - 1;
         $i= $asd * $nav_slov_in_lib;
         $var = $i+$nav_slov_in_lib;
         if($nom < $i){ $i = 0; $var = $i+$nav_slov_in_lib; $nom_page = "1";}
         
         while($i < $var)
         {
            if($i < $nom)
            {
               echo " ".$txt_file[$i];
            }
            ++$i;
         }
         echo'</div>';
         
         //конец новой навигации
         $kol_page = ceil($nom / $nav_slov_in_lib); 
         
         
         //навигация вперёд, назад
         if("1" < $nom_page)
         {
            $nom_previous_page = $nom_page - 1;
            echo '<a href="index.php?act=read&amp;dir='.$dir.'&amp;book='.$book.'&amp;nom_page='.$nom_previous_page.'&amp;'.SID.'">Назад</a>';
         }else{ echo 'Назад'; }
         echo'|';
         if($kol_page > $nom_page)
         {
            $nom_next_page = $nom_page + 1;
            echo '<a href="index.php?act=read&amp;dir='.$dir.'&amp;book='.$book.'&amp;nom_page='.$nom_next_page.'&amp;'.SID.'">Далее</a>';
         }else{ echo 'Далее'; }
         echo'<br>';
         
         
         
         
         
         //навигация по номерам страниц
         $a = $nom_page - 3;
         $b = $nom_page +3;
         
         if($a > 1)
         {
            echo'<a href="index.php?act=read&amp;dir='.$dir.'&amp;book='.$book.'&amp;nom_page=1&amp;'.SID.'">1</a> ';
            if($a > 2){ echo'... '; }
         }
         while($a <= $b)
         {
            if(($a > 0) && ($a <= $kol_page))
            {
               if($nom_page == $a)
               {
                  echo'<b>('.$a.')</b> ';
               }else
               {
                  echo'<a href="index.php?act=read&amp;dir='.$dir.'&amp;book='.$book.'&amp;nom_page='.$a.'&amp;'.SID.'">'.$a.'</a> ';
               }
            }
            ++$a;
         }
         if($b < $kol_page)
         {
            if($b < ($kol_page - 1)){ echo'... '; }
            echo'<a href="index.php?act=read&amp;dir='.$dir.'&amp;book='.$book.'&amp;nom_page='.$kol_page.'&amp;'.SID.'">'.$kol_page.'</a> ';
         }
         
         
         
         
         echo'<hr size="2" width="100%">';
         echo'<a href="index.php?act=spis&amp;dir='.$dir.'&amp;'.SID.'">К списку статей</a><br>';
         echo'<a href="index.php?act=index&amp;'.SID.'">К категориям</a><br>';
         echo'<a href="../index.php?'.SID.'">Главная</a><br>';
      }else
      {
         $title = "Ошибка";
         include("../temes/$teme/verh.dat");
         echo'<div class="razd"><B>Статьи</B></div>';
         echo'При проверке существования файла произошла ошибка'; 
      }
      
   }
   
}
if($status=="ban")
{
   $title = "Ошибка";
   include("../temes/$teme/verh.dat");
   echo'<div class="razd"><B>Статьи</B></div>';
   echo'Вам сюда нельзя<br>';
}

include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>